Bug 16989 - Advanced search form does not display translated itemtype
Summary: Advanced search form does not display translated itemtype
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on: 14100
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-27 19:14 UTC by Marc Véron
Modified: 2017-12-07 22:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16989 - Advanced search form does not display translated itemtype (2.44 KB, patch)
2016-07-27 19:26 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16989 - Advanced search form does not display translated itemtype (2.54 KB, patch)
2016-07-28 18:11 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 16989 - Advanced search form does not display translated itemtype (2.55 KB, patch)
2016-07-31 21:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-07-27 19:14:09 UTC
In Staff client, the advanced serach form does not display the translations item types.

(Note: It is not necessary to have translations installed to verify this bug.)

Prerequisites:
- Go to Home > Administration > Item types administration 
- Edit e.g. item type "BK" (Book)
- Near "Description", click link "Translate into other languages
- If you have other languaes installed, add translatons for those
- If you have an Englis only installation, add a "translation" for English, make sure that you can identify it while testing (I used "BOOOOOOOOOOOOKS")

Verify:
- Go to Home › Advanced search
- Verify near "Limit to any of the following" that the description for itemtype BK reads "Book" instead of "BOOOOOOOOOOOOKS"
Comment 1 Marc Véron 2016-07-27 19:26:13 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-07-28 18:11:08 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-07-31 21:26:49 UTC
Created attachment 53821 [details] [review]
[PASSED QA] Bug 16989 - Advanced search form does not display translated itemtype

In Staff client, the advanced serach form does not display the
translations of item types.

(Note: It is not necessary to have translations installed to verify
this bug.)

Prerequisites:
- Go to Home > Administration > Item types administration
- Edit e.g. item type "BK" (Book)
- Near "Description", click link "Translate into other languages
- If you have other languaes installed, add translatons for those
- If you have an Englis only installation, add a "translation" for
  English, make sure that you can identify it while testing (I
  used "BOOOOOOOOOOOOKS")

Verify:
- Go to Home › Advanced search
- Verify near "Limit to any of the following" that the description for
  itemtype BK reads "Book" instead of "BOOOOOOOOOOOOKS"

Test:
- Apply patch
- Verify that the item type description now reads ""BOOOOOOOOOOOOKS"
- If you have a multi language installaton, verify that item types
  you translated display as appropriate

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-08-10 14:15:24 UTC
Pushed to master for 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-08-23 10:15:45 UTC
Pushed in 16.05. Will be in 16.05.03.